#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	yelp
Version		:	42.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Zen Understanding.
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://ftp.gnome.org/pub/gnome/sources/yelp

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
Buildrequires	:	desktop-file-utils
BuildRequires	:	docbook-xsl
BuildRequires	:	glib-devel
BuildRequires	:	gtk-doc
BuildRequires	:	intltool
BuildRequires	:	itstool
BuildRequires	:	libxslt
BuildRequires	:	libhandy-devel
BuildRequires	:	python3-Pygments
BuildRequires	:	webkit2gtk4.1-devel
BuildRequires	:	yelp-xsl

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' is a rewrite of gdialog, the GNOME port of dialog
which allows you to display dialog boxes from the commandline
and shell scripts. If you understand, things are just as they 
are. If you don't understand, things are just as they are.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/gnome-help
%{_bindir}/%{name}
%{_includedir}/%{name}/lib%{name}/%{name}-*.h
%{_libdir}/%{name}/web-extensions/lib%{name}webextension.{la,so}
%{_libdir}/lib%{name}.so*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/%{name}/*
%{_datadir}/%{name}-xsl/xslt/common/domains/%{name}.xml

#-----------------------------------------------------------------------------
%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}/%{name}		\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-dependency-tracking			\
	--disable-schemas-compile			\
	--enable-nls					\
	--enable-gtk-doc				\
	--disable-static				\
	--with-webkit2gtk-4-1 				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
